Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2005-1679

Overview

Vulnerability Score 5.1 5.1
CVE Id CVE-2005-1679
Last Modified 05 Sep 2008 04:49:47
Published 20 May 2005 12:00:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity HIGH
Authentication NONE

CVE-2005-1679

Summary

Stack-based buffer overflow in the error directive in picasm 1.12b and earlier allows attackers to execute arbitrary code via a long error message.

Vulnerable Systems

Application

  • Timo Rossi Picasm 1.12b


References

CONFIRM - http://www.co.jyu.fi/~trossi/pic/

BUGTRAQ - 20050520 picasm error handling stack overflow vulnerability

BID - 13698


Last Updated: 27 May 2016 10:40:15